
Figure - Bug #117924
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.settings（27）
2023-05-15 11:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-15

Priority: High Due date: 2023-05-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305130049

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305190056

Reproducibility: Rarely Fixed Version: 2023-05-16

Test Type: ST Root cause: 手势动画 Bitmap 内存缓存未释放导致。

Description

【错误信息】

CRASH: com.android.settings (pid 17448)

// Short Msg: java.lang.OutOfMemoryError

// Long Msg: java.lang.OutOfMemoryError: Failed to allocate a 4894240 byte allocation with 1375600 free bytes and 1343KB until OOM, target

footprint 268435456, growth limit 268435456

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3332:user/test-keys

// Build Changelist: 3332

// Build Time: 1683913907000

// java.lang.OutOfMemoryError: Failed to allocate a 4894240 byte allocation with 1375600 free bytes and 1343KB until OOM, target footprint

268435456, growth limit 268435456

//     at android.os.Parcel.nativeReadBlob(Native Method)

//     at android.os.Parcel.readBlob(Parcel.java:2742)

//     at android.app.usage.UsageEvents.<init>(UsageEvents.java:747)

//     at android.app.usage.UsageEvents$1.createFromParcel(UsageEvents.java:1051)

//     at android.app.usage.UsageEvents$1.createFromParcel(UsageEvents.java:1048)

//     at android.app.usage.IUsageStatsManager$Stub$Proxy.queryEventsForUser(IUsageStatsManager.java:933)

//     at com.android.settings.applications.AppStateNotificationBridge.getAggregatedUsageEvents(AppStateNotificationBridge.java:152)

//     at com.android.settings.applications.AppStateNotificationBridge.loadAllExtraInfo(AppStateNotificationBridge.java:85)

//     at com.android.settings.applications.AppStateBaseBridge$BackgroundHandler.handleMessage(AppStateBaseBridge.java:143)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.os.HandlerThread.run(HandlerThread.java:67)

// 

History

#1 - 2023-05-15 11:08 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117924%26925
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117924%26925


#2 - 2023-05-15 14:38 - CD FW-廖涛

- Due date set to 2023-05-17

#3 - 2023-05-16 13:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200315 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix lottie animation oom problem.TC-RID: 1201-0201813IssueID: TS-R-BUG-117924Change-Id: I8cf9f6f968d2d828feed59acaba38cf8a3ce3229

#4 - 2023-05-16 13:46 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-16

- Root cause set to 手势动画 Bitmap 内存缓存未释放导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

手势动画 Bitmap 内存缓存未释放导致。

■ Next action

测试验证。

#5 - 2023-05-18 15:00 - CD TEST-方永红

5.18

17日DB未复现

#6 - 2023-05-19 11:27 - CD TEST-方永红

5.19

0101版本未复现

#7 - 2023-05-22 13:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305190056

5.22

19日DB未复现
#8 - 2023-05-22 13:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 7.82 KB 2023-05-15 CD TEST-方永红
